{% extends "base.html" %}

{% block title %}Создание статьи{% endblock %}

{% block body %}
<main>
<div class="container" style="margin-top: 200px;">
    <form method="post" class="box" action="/create_post" style="margin: 0 auto;" enctype=multipart/form-data>
        <h1>Добавление статьи</h1>
    {% for cat, mesg in get_flashed_messages(True) %}
        <h1 class="flash {{ cat }}">{{ mesg }}</h1>
    {% endfor %}
        <input type = "text" name = "title" id="title" class="" placeholder="Введите название" required="" >

        <textarea  name = "body" id="body" class="hai" placeholder="Введите основной текст" required=""></textarea>

        <label class="lable" for="select">Выберите тип статьи: </label><select id="select" name="select" size="1">
            <option selected value="s1">Новости</option>
            <option value="s2">Спорт</option>
            <option value="s3">Наука</option>
            <option value="s4">Программирование</option>
            <option value="s5">Кулинария</option>
            <option value="s6">Психология</option>
        </select>


            <input type="file" id="input__file" name="images" class="lable-1">


        <input type = "submit"  value="Отправить">
    </form>
</div>
</main>

{% endblock body %}